Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.expressions
Class ConstructorExpression

    java.lang.Object
      org.jboss.aop.expressions.ConstructorExpression

public class ConstructorExpression
extends Object

Comment

Version:
  $Revision: 1.4 $
Author:
  Bill Burke

Field Summary
`Pattern` | `classExpr`
`String` | `className`
`String` | `originalExpression`
`ParameterExpression` | `params`
`protected static Pattern` | `PATTERN`

Constructor Summary
`ConstructorExpression(String ex)`

Method Summary
`boolean` | `matches(Constructor con)`
`boolean` | `matches(javassist.CtConstructor con)`
`boolean` | `matchParamsOnly(Constructor con)`
`boolean` | `matchParamsOnly(javassist.CtConstructor con)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATTERN

    protected static final Pattern PATTERN

### originalExpression

    public String originalExpression

### params

    public ParameterExpression params

### classExpr

    public Pattern classExpr

### className

    public String className

Constructor Detail

### ConstructorExpression

    public ConstructorExpression(String ex)

Method Detail

### matches

    public boolean matches(Constructor con)

### matchParamsOnly

    public boolean matchParamsOnly(Constructor con)

### matchParamsOnly

    public boolean matchParamsOnly(javassist.CtConstructor con)
                            throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### matches

    public boolean matches(javassist.CtConstructor con)
                    throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.